# PeopleGroup::Connectors

The gem contains wrapper code for all the services we sync with. The reason we bundled this in a separate gem is to not have duplicate code in our different projects.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'peoplegroup-connectors'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install peoplegroup-connectors

## Usage

```ruby
gitlab_client = PeopleGroup::Connectors::GitLab.new
gitlab_client.find_gitlabber(:email, 'some-email@domain.com')
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing and Code of Conduct

Bug reports and pull requests are welcome on GitLab at https://gitlab.com/gitlab-com/people-group/peopleops-eng/connectors-gem. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
